Lavalite package that provides ebuy management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `ebuy/ebuy`.

    "ebuy/ebuy": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Ebuy\Ebuy\Providers\EbuyServiceProvider::class,

And also add it to alias

    'Ebuy'  => Ebuy\Ebuy\Facades\Ebuy::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Ebuy\\EbuyTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Ebuy\Ebuy\Providers\EbuyServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Ebuy\Ebuy\Providers\EbuyServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Ebuy\Ebuy\Providers\EbuyServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/ebuy/{modulename}

**User**

    http://path-to-route-folder/user/ebuy/{modulename}

**Public**

    http://path-to-route-folder/ebuys


### API endpoints

**List**

    http://path-to-route-folder/api/user/ebuy/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/ebuy/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/ebuy/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/ebuy/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/ebuy/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/ebuy/{modulename}/{slug}
    METHOD: GET