<?php

namespace Ebuy\Ebuy\Providers;

use Illuminate\Foundation\Support\Providers\RouteServiceProvider as ServiceProvider;
use Illuminate\Routing\Router;
use Ebuy\Ebuy\Models\Ebuy;
use Request;
use Route;

class RouteServiceProvider extends ServiceProvider
{
    /**
     * This namespace is applied to the controller routes in your routes file.
     *
     * In addition, it is set as the URL generator's root namespace.
     *
     * @var string
     */
    protected $namespace = 'Ebuy\Ebuy\Http\Controllers';

    /**
     * Define your route model bindings, pattern filters, etc.
     *
     * @param   \Illuminate\Routing\Router  $router
     * @return void
     */
    public function boot()
    {
        parent::boot();

        if (Request::is('*/ebuy/person/*')) {
            Route::bind('person', function ($person) {
                $personrepo = $this->app->make('Ebuy\Ebuy\Interfaces\PersonRepositoryInterface');
                return $personrepo->findorNew($person);
            });
        }

        if (Request::is('*/ebuy/person/*')) {
            Route::bind('person', function ($person) {
                $personrepo = $this->app->make('Ebuy\Ebuy\Interfaces\PersonRepositoryInterface');
                return $personrepo->findorNew($person);
            });
        }

    }

    /**
     * Define the routes for the package.
     *
     * @return void
     */
    public function map()
    {
        $this->mapWebRoutes();
    }

    /**
     * Define the "web" routes for the package.
     *
     * These routes all receive session state, CSRF protection, etc.
     *
     * @return void
     */
    protected function mapWebRoutes()
    {   
        Route::group([
            'middleware' => 'web',
            'namespace'  => $this->namespace,
        ], function ($router) {
            require (__DIR__ . '/../../routes/web.php');
        });
    }

}
